using Newtonsoft.Json;

namespace ReallifeGamemode.Server.DrivingSchool
{
  public class Licenses
  {
    [JsonProperty("drivingLicenseCar")]
    public bool CarLicense { get; set; }

    [JsonProperty("drivingLicenseBike")]
    public bool BikeLicense { get; set; }

    [JsonProperty("flightLicensePlane")]
    public bool PlaneLicense { get; set; }

    [JsonProperty("weaponLicense")]
    public bool WeaponLicense { get; set; }

    public Licenses(bool CarLicense, bool BikeLicense, bool PlaneLicense, bool weaponLicense)
    {
      this.CarLicense = CarLicense;
      this.BikeLicense = BikeLicense;
      this.PlaneLicense = PlaneLicense;
      this.WeaponLicense = weaponLicense;
    }
  }
}
